###############################################################
###############################################################
## Script para adherir spectros..
## sigue el procedimiento de..
## << http://cxc.harvard.edu/ciao/threads/add_grating_orders/ >>
##############################################################

dir=PPS
### R1 - 1ra 
obsid1=0111200101
pha1=$(find ../$obsid1 -name "*R1*SRSPEC1001.FIT*")
echo $pha1
bkg1=$(find ../$obsid1 -name "*R1*BGSPEC1001.FIT*")
echo $bkg1
rmf1=$(find ../$obsid1 -name "my_src_R1_O1.rsp")
echo $rmf1

### R2 - 1ra 
obsid1=0111200101
pha12=$(find ../$obsid1 -name "*R2*SRSPEC1001.FIT*")
echo $pha12
bkg12=$(find ../$obsid1 -name "*R2*BGSPEC1001.FIT*")
echo $bkg12
rmf12=$(find ../$obsid1 -name "my_src_R2_O1.rsp")
echo $rmf12


### 2da
obsid2=0111200201
pha2=$(find ../$obsid2 -name "*R1*SBSPEC1001.FTZ*")
echo $pha2
bkg2=$(find ../$obsid2 -name "*R1*BGSPEC1001.FTZ*")
echo $bkg2
rmf2=$(find ../$obsid2 -name "my_src_R1_O1.rsp")
echo $rmf2

## Usa la herramienta rgscombine..
rgscombine pha="$pha1 $pha12" rmf="$rmf1 $rmf12" bkg="$bkg1 $bkg12" filepha="r12_o1_srspec.fits" filermf="r12_o1.rsp" filebkg="r12_o1_bgspec.fits" rmfgrid=5000
